<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : znamky.xsl
    Created on : 27. březen 2013, 13:00
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns="http://www.w3.org/1999/xhtml" version="1.0">
    <xsl:output method="xml" 
                doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
                encoding="utf-8"
                indent="yes"
    />

    
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <style type="text/css">
                    p.menu{
                        background-color:lightgray;
                    }
                     table{
                        border-width:1pt;
                        border-style:solid;
                        border:black;
                    }
                    tr{
                        border-width: 1pt;
                        border-style: solid;
                        border-color: black;
                    }
      
                    td{
                        border-width: 1pt;
                        border-style: solid;
                        border-color: black;
                    }
                    td.grade{
                        text-align: center;
                    }
                    thead{
                    	background-color: yellow;
                    	}

                </style>
                <title>Prospěch třídy <xsl:value-of select="trida/@nazev"/></title>
            </head>
            <body>
                <p>
                <a id="top"/>
                </p>
                <p class="menu">
                    <xsl:apply-templates select="trida/student" mode="menu"/>
                </p>
                <h1>Prospěch třídy 
                    <xsl:value-of select="trida/@nazev"/>
                </h1>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="student" mode="menu">
        <xsl:element name="a">
            <xsl:attribute name="href">#s<xsl:value-of select="./@id"/></xsl:attribute>
            <xsl:value-of select="jmeno"/>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="student">
        <p>
        <xsl:element name="a">
            <xsl:attribute name="id">s<xsl:value-of select="@id"/></xsl:attribute>
        </xsl:element>
        </p>
        <h2>
            <xsl:value-of select="jmeno"/>
        </h2>
        <p>Absence: <xsl:value-of select="absence"/> hodin</p>
        <xsl:apply-templates select="prospech"/>
        <p>
        <a href="#top">Zpět</a>
        </p>
    </xsl:template>
    
    <xsl:template match="prospech">
        <table>
            <thead>
                <tr>
                    <td>Předmět</td>
                    <td>Známka</td>
                </tr>
            </thead>
            <tbody>
                <xsl:apply-templates/>
            </tbody>
        </table>
    </xsl:template>
    <xsl:template match="predmet">
        <tr>
            <td><xsl:value-of select="nazev"/></td>
            <td class="grade"><xsl:value-of select="znamka"/></td>
        </tr>
    </xsl:template>
</xsl:stylesheet>
